/**
 * @file
 *
 * Line Break Plugin for CKEditor.
 */
(function () {
  'use strict';
  
  CKEDITOR.plugins.add('widgetbreaktag', {
    requires: 'widget',

    icons: 'widgetbreaktag',
  
    init: function (editor) {
      // Add Button to editor.
      editor.ui.addButton( 'widgetbreaktag', {
        label: Drupal.t('Insert Break Tag'),
        command: 'break_tag',
        id: 'widgetbreaktag',
        icon: this.path + 'icons/widgetbreaktag.png',
      });
  
      // Command to insert Html on click.
      editor.addCommand('break_tag', {
        exec: function (editor) {
          var dl = new CKEDITOR.dom.element.createFromHtml('<br />');
          editor.insertElement(dl);
        }
      });
    }
  });
})();
  