<?php

namespace Drupal\ckeditor_breaktag\Plugin\CKEditorPlugin;

use Drupal\editor\Entity\Editor;
use Drupal\ckeditor\CKEditorPluginBase;

/**
 * Defines the "widgetbreaktag" plugin.
 *
 * @CKEditorPlugin(
 *   id = "widgetbreaktag",
 *   label = @Translation("CKEditor Break Tag Widget"),
 *   module = "ckeditor_breaktag"
 * )
 */
class WidgetBreakTag extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    $module_handler = \Drupal::service('module_handler');
    $breaktag = $module_handler->getModule('ckeditor_breaktag')->getPath();
    return $breaktag . '/js/plugins/widgetbreaktag/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getDependencies(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getLibraries(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function isInternal() {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    $module_handler = \Drupal::service('module_handler');
    $breaktag = $module_handler->getModule('ckeditor_breaktag')->getPath();
    return [
      'widgetbreaktag' => [
        'image' => $breaktag . '/js/plugins/widgetbreaktag/icons/widgetbreaktag.png',
        'label' => $this->t('Add Line Break'),
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
